### Method

# WebKit2 ResponsePolicyDecision get_request

#### Declaration [src]

    WebKitURIRequest*
    webkit_response_policy_decision_get_request (
      WebKitResponsePolicyDecision* decision
    )

#### Description [src]

Return the `WebKitURIRequest` associated with the response decision.

Modifications to the returned object are not taken into account when the request is sent over the network, and is intended only to aid in evaluating whether a response decision should be taken or not. To modify requests before they are sent over the network the `WebKitPage::send-request` signal can be used instead.

Gets property | `WebKit2.ResponsePolicyDecision:request`

#### Return value

Type: `WebKitURIRequest`

The URI request that is associated with this policy decision.

The data is owned by the instance.